Delete article schedule
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"error": "Not found."
}Articles
Delete article schedule
This API deletes a scheduled action of an article. For CLI sessions, this needs the Modify articles permission.
DELETE
/
articles
/
{article_id}
/
schedules
/
{id}
Delete article schedule
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"error": "Not found."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Unique identifier of the schedule. Get it from List article schedules.
Response
OK - Schedule deleted
Example:
"thumbs_up"